class MockUsersApi():
    def get_all_users(self):
        return [
            {
                "login": "ghost",
                "databaseId": 1,
                "node_id": "MDQ6VXNlcjE=",
                "avatarUrl": "https://github.example.net/avatars/u/1?",
                "gravatar_id": "",
                "url": "https://github.example.net/api/v3/users/ghost",
                "html_url": "https://github.example.net/ghost",
                "followers_url": "https://github.example.net/api/v3/users/ghost/followers",
                "following_url": "https://github.example.net/api/v3/users/ghost/following{/other_user}",
                "gists_url": "https://github.example.net/api/v3/users/ghost/gists{/gist_id}",
                "starred_url": "https://github.example.net/api/v3/users/ghost/starred{/owner}{/repo}",
                "subscriptions_url": "https://github.example.net/api/v3/users/ghost/subscriptions",
                "organizations_url": "https://github.example.net/api/v3/users/ghost/orgs",
                "repos_url": "https://github.example.net/api/v3/users/ghost/repos",
                "events_url": "https://github.example.net/api/v3/users/ghost/events{/privacy}",
                "received_events_url": "https://github.example.net/api/v3/users/ghost/received_events",
                "__typename": "User",
                "isSiteAdmin": False
            },
            {
                "login": "github-enterprise",
                "databaseId": 2,
                "node_id": "MDEyOk9yZ2FuaXphdGlvbjI=",
                "avatarUrl": "https://github.example.net/avatars/u/2?",
                "gravatar_id": "",
                "url": "https://github.example.net/api/v3/users/github-enterprise",
                "html_url": "https://github.example.net/github-enterprise",
                "followers_url": "https://github.example.net/api/v3/users/github-enterprise/followers",
                "following_url": "https://github.example.net/api/v3/users/github-enterprise/following{/other_user}",
                "gists_url": "https://github.example.net/api/v3/users/github-enterprise/gists{/gist_id}",
                "starred_url": "https://github.example.net/api/v3/users/github-enterprise/starred{/owner}{/repo}",
                "subscriptions_url": "https://github.example.net/api/v3/users/github-enterprise/subscriptions",
                "organizations_url": "https://github.example.net/api/v3/users/github-enterprise/orgs",
                "repos_url": "https://github.example.net/api/v3/users/github-enterprise/repos",
                "events_url": "https://github.example.net/api/v3/users/github-enterprise/events{/privacy}",
                "received_events_url": "https://github.example.net/api/v3/users/github-enterprise/received_events",
                "__typename": "Organization",
                "isSiteAdmin": False
            },
            {
                "login": "gitlab",
                "databaseId": 3,
                "node_id": "MDQ6VXNlcjM=",
                "avatarUrl": "https://github.example.net/avatars/u/3?",
                "gravatar_id": "",
                "url": "https://github.example.net/api/v3/users/gitlab",
                "html_url": "https://github.example.net/gitlab",
                "followers_url": "https://github.example.net/api/v3/users/gitlab/followers",
                "following_url": "https://github.example.net/api/v3/users/gitlab/following{/other_user}",
                "gists_url": "https://github.example.net/api/v3/users/gitlab/gists{/gist_id}",
                "starred_url": "https://github.example.net/api/v3/users/gitlab/starred{/owner}{/repo}",
                "subscriptions_url": "https://github.example.net/api/v3/users/gitlab/subscriptions",
                "organizations_url": "https://github.example.net/api/v3/users/gitlab/orgs",
                "repos_url": "https://github.example.net/api/v3/users/gitlab/repos",
                "events_url": "https://github.example.net/api/v3/users/gitlab/events{/privacy}",
                "received_events_url": "https://github.example.net/api/v3/users/gitlab/received_events",
                "__typename": "User",
                "isSiteAdmin": True
            }
        ]

    def get_user(self):
        return [
            {
                "login": "ghost",
                "databaseId": 1,
                "node_id": "MDQ6VXNlcjE=",
                "avatarUrl": "https://github.example.net/avatars/u/1?",
                "gravatar_id": "",
                "url": "https://github.example.net/api/v3/users/ghost",
                "html_url": "https://github.example.net/ghost",
                "followers_url": "https://github.example.net/api/v3/users/ghost/followers",
                "following_url": "https://github.example.net/api/v3/users/ghost/following{/other_user}",
                "gists_url": "https://github.example.net/api/v3/users/ghost/gists{/gist_id}",
                "starred_url": "https://github.example.net/api/v3/users/ghost/starred{/owner}{/repo}",
                "subscriptions_url": "https://github.example.net/api/v3/users/ghost/subscriptions",
                "organizations_url": "https://github.example.net/api/v3/users/ghost/orgs",
                "repos_url": "https://github.example.net/api/v3/users/ghost/repos",
                "events_url": "https://github.example.net/api/v3/users/ghost/events{/privacy}",
                "received_events_url": "https://github.example.net/api/v3/users/ghost/received_events",
                "__typename": "User",
                "isSiteAdmin": False,
                "name": None,
                "company": None,
                "blog": "",
                "location": None,
                "email": None,
                "hireable": None,
                "bio": None,
                "public_repos": 0,
                "public_gists": 0,
                "followers": 0,
                "following": 0,
                "created_at": "2020-07-14T15:00:39Z",
                "updated_at": None,
                "suspended_at": None
            },
            {
                "login": "github-enterprise",
                "databaseId": 2,
                "node_id": "MDEyOk9yZ2FuaXphdGlvbjI=",
                "avatarUrl": "https://github.example.net/avatars/u/2?",
                "gravatar_id": "",
                "url": "https://github.example.net/api/v3/users/github-enterprise",
                "html_url": "https://github.example.net/github-enterprise",
                "followers_url": "https://github.example.net/api/v3/users/github-enterprise/followers",
                "following_url": "https://github.example.net/api/v3/users/github-enterprise/following{/other_user}",
                "gists_url": "https://github.example.net/api/v3/users/github-enterprise/gists{/gist_id}",
                "starred_url": "https://github.example.net/api/v3/users/github-enterprise/starred{/owner}{/repo}",
                "subscriptions_url": "https://github.example.net/api/v3/users/github-enterprise/subscriptions",
                "organizations_url": "https://github.example.net/api/v3/users/github-enterprise/orgs",
                "repos_url": "https://github.example.net/api/v3/users/github-enterprise/repos",
                "events_url": "https://github.example.net/api/v3/users/github-enterprise/events{/privacy}",
                "received_events_url": "https://github.example.net/api/v3/users/github-enterprise/received_events",
                "__typename": "Organization",
                "isSiteAdmin": False,
                "name": None,
                "company": None,
                "blog": "",
                "location": None,
                "email": None,
                "hireable": None,
                "bio": None,
                "public_repos": 0,
                "public_gists": 0,
                "followers": 0,
                "following": 0,
                "created_at": "2020-07-14T15:00:39Z",
                "updated_at": None,
                "suspended_at": None
            },
            {
                "login": "gitlab",
                "databaseId": 3,
                "node_id": "MDQ6VXNlcjM=",
                "avatarUrl": "https://github.example.net/avatars/u/3?",
                "gravatar_id": "",
                "url": "https://github.example.net/api/v3/users/gitlab",
                "html_url": "https://github.example.net/gitlab",
                "followers_url": "https://github.example.net/api/v3/users/gitlab/followers",
                "following_url": "https://github.example.net/api/v3/users/gitlab/following{/other_user}",
                "gists_url": "https://github.example.net/api/v3/users/gitlab/gists{/gist_id}",
                "starred_url": "https://github.example.net/api/v3/users/gitlab/starred{/owner}{/repo}",
                "subscriptions_url": "https://github.example.net/api/v3/users/gitlab/subscriptions",
                "organizations_url": "https://github.example.net/api/v3/users/gitlab/orgs",
                "repos_url": "https://github.example.net/api/v3/users/gitlab/repos",
                "events_url": "https://github.example.net/api/v3/users/gitlab/events{/privacy}",
                "received_events_url": "https://github.example.net/api/v3/users/gitlab/received_events",
                "__typename": "User",
                "isSiteAdmin": True,
                "name": None,
                "company": None,
                "blog": "",
                "location": None,
                "email": None,
                "hireable": None,
                "bio": None,
                "public_repos": 1,
                "public_gists": 0,
                "followers": 0,
                "following": 0,
                "created_at": "2020-07-14T15:10:05Z",
                "updated_at": "2020-07-30T12:38:29Z",
                "suspended_at": None
            },
            {
                "login": "jdoe",
                "databaseId": 4,
                "node_id": "MDQ6VXNlcjM=",
                "avatarUrl": "https://github.example.net/avatars/u/3?",
                "gravatar_id": "",
                "url": "https://github.example.net/api/v3/users/gitlab",
                "html_url": "https://github.example.net/gitlab",
                "followers_url": "https://github.example.net/api/v3/users/gitlab/followers",
                "following_url": "https://github.example.net/api/v3/users/gitlab/following{/other_user}",
                "gists_url": "https://github.example.net/api/v3/users/gitlab/gists{/gist_id}",
                "starred_url": "https://github.example.net/api/v3/users/gitlab/starred{/owner}{/repo}",
                "subscriptions_url": "https://github.example.net/api/v3/users/gitlab/subscriptions",
                "organizations_url": "https://github.example.net/api/v3/users/gitlab/orgs",
                "repos_url": "https://github.example.net/api/v3/users/gitlab/repos",
                "events_url": "https://github.example.net/api/v3/users/gitlab/events{/privacy}",
                "received_events_url": "https://github.example.net/api/v3/users/gitlab/received_events",
                "__typename": "User",
                "isSiteAdmin": True,
                "name": None,
                "company": None,
                "blog": "",
                "location": None,
                "email": "jdoe@gitlab.com",
                "hireable": None,
                "bio": None,
                "public_repos": 1,
                "public_gists": 0,
                "followers": 0,
                "following": 0,
                "created_at": "2020-07-14T15:10:05Z",
                "updated_at": "2020-07-30T12:38:29Z",
                "suspended_at": None
            }

        ]

    def get_user_401(self):
        return {
            "message": "Bad credentials",
            "documentation_url": "https://developer.github.com/enterprise/2.21/v3"
        }

    def get_non_admin_user(self):
        return {
            "login": "ghost",
            "databaseId": 1,
            "node_id": "MDQ6VXNlcjE=",
            "avatarUrl": "https://github.example.net/avatars/u/1?",
            "gravatar_id": "",
            "url": "https://github.example.net/api/v3/users/ghost",
            "html_url": "https://github.example.net/ghost",
            "followers_url": "https://github.example.net/api/v3/users/ghost/followers",
            "following_url": "https://github.example.net/api/v3/users/ghost/following{/other_user}",
            "gists_url": "https://github.example.net/api/v3/users/ghost/gists{/gist_id}",
            "starred_url": "https://github.example.net/api/v3/users/ghost/starred{/owner}{/repo}",
            "subscriptions_url": "https://github.example.net/api/v3/users/ghost/subscriptions",
            "organizations_url": "https://github.example.net/api/v3/users/ghost/orgs",
            "repos_url": "https://github.example.net/api/v3/users/ghost/repos",
            "events_url": "https://github.example.net/api/v3/users/ghost/events{/privacy}",
            "received_events_url": "https://github.example.net/api/v3/users/ghost/received_events",
            "__typename": "User",
            "isSiteAdmin": False,
            "name": None,
            "company": None,
            "blog": "",
            "location": None,
            "email": None,
            "hireable": None,
            "bio": None,
            "public_repos": 0,
            "public_gists": 0,
            "followers": 0,
            "following": 0,
            "created_at": "2020-07-14T15:00:39Z",
            "updated_at": None,
            "suspended_at": None
        }
